#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.0
visibility:           public
id:                   what4-1.0-1p28REsUVoi6Ojs5pKWPe
key:                  what4-1.0-1p28REsUVoi6Ojs5pKWPe
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2020
maintainer:           jhendrix@galois.com, rdockins@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  933bcf2da5e59642894cc8dcf47d2529
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.AppTheory What4.Expr.ArrayUpdateMap
    What4.Expr.BoolMap What4.Expr.Builder What4.Expr.GroundEval
    What4.Expr.MATLAB What4.Expr.Simplify What4.Expr.StringSeq
    What4.Expr.UnaryBV What4.Expr.VarIdentification
    What4.Expr.WeightedSum What4.FunctionName What4.IndexLit
    What4.Interface What4.InterpretedFloatingPoint What4.LabeledPred
    What4.Panic What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Syntax What4.Protocol.SMTWriter What4.SWord
    What4.SatResult What4.SemiRing What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.DReal
    What4.Solver.STP What4.Solver.Yices What4.Solver.Z3 What4.Symbol
    What4.Utils.AbstractDomains What4.Utils.AnnotatedMap
    What4.Utils.Arithmetic What4.Utils.BVDomain
    What4.Utils.BVDomain.Arith What4.Utils.BVDomain.Bitwise
    What4.Utils.BVDomain.XOR What4.Utils.Complex What4.Utils.Endian
    What4.Utils.Environment What4.Utils.HandleReader
    What4.Utils.IncrHash What4.Utils.LeqMap What4.Utils.MonadST
    What4.Utils.OnlyNatRepr What4.Utils.Process What4.Utils.Streams
    What4.Utils.StringLiteral What4.Utils.Word16String What4.WordMap

hidden-modules:       What4.Expr.App
import-dirs:          /usr/lib/ghc-8.10.3/site-local/what4-1.0
library-dirs:         /usr/lib/ghc-8.10.3/site-local/what4-1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/what4-1.0
hs-libraries:         HSwhat4-1.0-1p28REsUVoi6Ojs5pKWPe
depends:
    ansi-wl-pprint-0.6.9-794j1qCg7ExET0nnFI0RID
    attoparsec-0.13.2.4-JZoYjKctPXo3EQxEpGFo7r base-4.14.1.0
    bifunctors-5.5.9-1vlz0Qe0Goz2x3SwTBUGPu
    bimap-0.4.0-1H2iiNP7UQwDjCUqci83Z7
    bv-sized-1.0.2-ELJ1VX3QCSvFSAKQvNw5pJ bytestring-0.10.12.0
    containers-0.6.2.1 data-binary-ieee754-0.4.4-HlSlHq1qDaTKAKUZNW5rdz
    deepseq-1.4.4.0 deriving-compat-0.5.10-3xM0kTrqT72E8EmZ1XHou5
    directory-1.3.6.0 exceptions-0.10.4
    extra-1.7.9-GRPDCTy1S0FLagan9oxSqB filepath-1.4.2.1
    fingertree-0.1.4.2-JNejPrmumvtFsBB07dSmgN ghc-prim-0.6.1
    hashable-1.3.0.0-JvDUTigjtBh88bOClrcITG
    hashtables-1.2.4.1-JsmsspETXLC5TQQyV1hLDc
    io-streams-1.5.2.0-LKVbpe1PzO6yrHFILkpaJ
    lens-4.19.2-GY6cGrrOQq124JmfZdcofI mtl-2.2.2
    panic-0.4.0.1-Fo4sCfDqcEkCpAt882LFEy
    parameterized-utils-2.1.1-B66xfg5mogS4jE3FllDbPi process-1.6.9.0
    scientific-0.3.6.2-ADhtbFlydoyEO8Nhlpr0e9 template-haskell-2.16.0.0
    temporary-1.3-7Qm0Vhb2draCTeFnaUwX1c text-1.2.4.1
    th-abstraction-0.4.2.0-CPMLTlyMgmr6dbHxHL95CG transformers-0.5.6.2
    unordered-containers-0.2.13.0-5ciSEfPtJAO2lGL3MRiwwP
    utf8-string-1.0.2-CkwPGvXHIXdEOOrPn2UOUp
    vector-0.12.1.2-HCJzCvMeU9f2WjtWVmO7dQ
    versions-3.5.4-ID3CIcmreBw1lN18F1jzAR
    zenc-0.1.1-JvaW35gFnjuHQuX4eF5ZTK

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

